Bug 249197 - It's not possible to set speed with wodim
It's not possible to set speed with wodim
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cdrkit (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-22 09:31 EDT by Ulrich Schweitzer
Modified: 2015-07-15 05:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:48:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Schweitzer 2007-07-22 09:31:57 EDT
Description of problem:
When burning a DVD with wodim it ignores the speed=x setting. The DVD is always
burned with a speed of 4.0, no matter if I try to raise or lower it.
Cdrecord from Fedora Core 5 worked perfectly before I updated to Fedora 7

Version-Release number of selected component (if applicable):
Wodim 1.1.6 (from Fedora 7 updates)

How reproducible:
Always (no difference when I try to start wodim as root)


Additional info:

Example:
[ulrich@speddo tmp]$ wodim -dummy -dao speed=8 test.img
wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK
limits.Device type    : Removable CD-ROM
Version        : 5
Response Format: 2
Capabilities   :
Vendor_info    : 'PIONEER '
Identification : 'DVD-RW  DVR-109 '
Revision       : '1.58'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Using generic SCSI-3/mmc DVD-R(W) driver (mmc_mdvd).
Driver flags   : SWABAUDIO BURNFREE
Supported modes: PACKET SAO
HINT: use dvd+rw-mediainfo from dvd+rw-tools for information extraction.
Speed set to 5540 KB/s
Starting to write CD/DVD at speed   4.0 in dummy SAO mode for single session.
Last chance to quit, starting dummy write in  4 seconds.

Note the first line:
wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK 
I don't know if this is related or not.


Output of dvd+rw-mediainfo /dev/scd0 for the medium in question:
[ulrich@speddo tmp]$ dvd+rw-mediainfo /dev/scd0
INQUIRY:                [PIONEER ][DVD-RW  DVR-109 ][1.58]
GET [CURRENT] CONFIGURATION:
 Mounted Media:         11h, DVD-R Sequential
 Media ID:               TTH02
 Current Write Speed:   4.0x1385=5540KB/s
 Write Speed #0:        16.0x1385=22160KB/s
 Write Speed #1:        12.0x1385=16620KB/s
 Write Speed #2:        8.0x1385=11080KB/s
 Write Speed #3:        6.0x1385=8310KB/s
 Write Speed #4:        4.0x1385=5540KB/s
 Speed Descriptor#0:    00/2298495 R@1.0x1385=1385KB/s W@16.0x1385=22160KB/s
 Speed Descriptor#1:    00/2298495 R@1.0x1385=1385KB/s W@12.0x1385=16620KB/s
 Speed Descriptor#2:    00/2298495 R@1.0x1385=1385KB/s W@8.0x1385=11080KB/s
 Speed Descriptor#3:    00/2298495 R@1.0x1385=1385KB/s W@6.0x1385=8310KB/s
 Speed Descriptor#4:    00/2298495 R@1.0x1385=1385KB/s W@4.0x1385=5540KB/s
READ DVD STRUCTURE[#10h]:
 Media Book Type:       00h, DVD-ROM book [revision 0]
 Legacy lead-out at:    2298496*2KB=4707319808
READ DVD STRUCTURE[#0h]:
 Media Book Type:       25h, DVD-R book [revision 5]
 Last border-out at:    2045*2KB=4188160
READ DISC INFORMATION:
 Disc status:           blank
 Number of Sessions:    1
 State of Last Session: empty
 "Next" Track:          1
 Number of Tracks:      1
READ TRACK INFORMATION[#1]:
 Track State:           blank
 Track Start Address:   0*2KB
 Next Writable Address: 0*2KB
 Free Blocks:           2298496*2KB
 Track Size:            2298496*2KB
READ CAPACITY:          0*2048=0


Contents of /etc/wodim.conf:
CDR_DEVICE=dvr109
#CDR_SPEED=16
CDR_FIFOSIZE=4m

# drive name    device  speed   fifosize driveropts
#
dvr109=         /dev/scd0       -1      -1      burnfree
Comment 1 Harald Hoyer 2007-09-21 04:51:09 EDT
> wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK 
is not related..

This is the upstream bugzilla about this
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=408488

I will try to investigate..
Comment 2 Bug Zapper 2008-05-14 09:37:44 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ulrich Schweitzer 2008-05-15 08:13:51 EDT
The problem is still present in F8, I have  changed the version accordingly.
Comment 4 Bug Zapper 2008-11-26 02:35:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-08 23:48:53 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Jörg Schilling 2009-01-24 17:55:57 EST
Wodim os known to have no peoper DVD sopport.
Please just upgrade to recent original software from:

ftp://ftp.berlios.de/pub/cdrecord/alpha/

cdrecord supports DVD writing since February 1998 and 
for this reason is mature and knows how to work around
formware bugs from various drives.

A workaround for the formware bug in your PIONEER 
drive has been introduced in April 2007 in the original
software.

ftp://ftp.berlios.de/pub/cdrecord/alpha/
Comment 7 Harald Hoyer 2009-01-26 04:54:51 EST
Am I allowd to extract the patch from the CDDL version and apply it to the GPL version? I don't think so.
Comment 8 Jörg Schilling 2009-01-26 18:22:37 EST
You are of course not allowed to do that, but why do you like
to put parts of the official free software into your fork that 
cannot be legally distributed because your fork is in conflict 
with GPL and Copyright?
Comment 9 Richard Jasmin 2015-07-14 18:23:48 EDT
Need more info.Did this ever get fixed? Or is this EOL?
Comment 10 Jörg Schilling 2015-07-15 05:01:09 EDT
I cannot see any maintenance effort at RedHat since many years, so do not
expect a change.

RedHat is driven by people that follow anti-social claims from Debian
without asking lawyers. Things may change after RedHat comes back to the
OpenSource community.

Note You need to log in before you can comment on or make changes to this bug.